import krister.Ess.*;

AudioChannel songA;
AudioChannel songB;
PFont font;
int question = 0;
boolean kp = false;
boolean stress;
boolean rec;
boolean hor;

void setup(){
  Ess.start(this);
  songA = new AudioChannel("stress.aif");
  songB = new AudioChannel("relax.aif");
  size(800,800);
  noStroke();
  smooth();
  textFont(loadFont("LucidaSans-24.vlw"));
}

void draw(){
  background(loadImage("background.jpg"));
  fill(0);
  if (kp == false){
    text("ULTIMATE FACEBOOK QUIZ!!!!11111",0,75);
    text("PRESS RETURN TO START!!!!11111",0,125);
    if (keyPressed == true && key == ENTER) {
      kp = true;
    }
  } else if (kp == true){
    if (question == 0) {
      text("Are you normally calm or stressed?",0,75);
      text("Press 1 if calm",0,125);
      text("Press 2 is stressed",0,175);
      if (keyPressed == true && key == '1') {
        songA.play();
        stress = false;
        question = 1;
      } else if (keyPressed == true && key == '2') {
        songB.play();
        stress = true;
        question = 1;
      }
    } else if (question == 1) {
      text("Do you like the indoors or the outdoors?",0,75);
      text("Press 3 if indoors",0,125);
      text("Press 4 if outdoors",0,175);
      if (stress == true) {
        songB.play();
      } else if (stress == false) {
        songA.play();
      }
      if (keyPressed == true && key == '3') {
        image(loadImage("relaxing.jpg"),0,211);
        rec = false;
        question = 2;
      } else if (keyPressed == true && key == '4') {
        drawRect();
        rec = true;
        question = 2;
      }
    } else if (question == 2) {
      text("Do you like beauty or horror?",0,75);
      text("Press 5 if beauty",0,125);
      text("Press 6 if horror",0,175);
      if (rec == true) {
        drawRect();
      } else {
        image(loadImage("relaxing.jpg"),0,211);
      }
      if (stress == true) {
        songB.play();
      } else if (stress == false) {
        songA.play();
      }
      if (keyPressed == true && key == '5') {
        image(loadImage("horror.png"),0,211);
        hor = false;
        question = 3;
      } else if (keyPressed == true && key == '6') {
        image(loadImage("beauty.png"),0,211);
        hor = true;
        question = 3;
      }
    } else if (question == 3) {
      if (rec == true) {
        drawRect();
      } else {
        image(loadImage("relaxing.jpg"),0,211);
      }
      if (stress == true) {
        songB.play();
      } else if (stress == false) {
        songA.play();
      }
      if (hor == true) {
        image(loadImage("beauty.png"),0,211);
      } else if (hor == false) {
        image(loadImage("horror.png"),0,211);
      }
      text("Thank you for your input?",0,75);
      text("Press enter to play again",0,125);
      if (keyPressed == true && key == ENTER) {
      if (stress == true) {
        songB.stop();
      } else if (stress == false) {
        songA.stop();
      }
        question = 0;
      }
    }
  }
}

void drawRect() {
  pushMatrix();
  rectMode(CORNER);
  float r = random(255);
  float g = random(255);
  float b = random(255);
  fill(r,g,b);
  rect(0,211,800,589);
  popMatrix();
}
